Package org.snpeff.interval.tree

# Class IntervalNodeOri

java.lang.Object
org.snpeff.interval.tree.IntervalNodeOri

All Implemented Interfaces:
  `Serializable`, `Iterable<Marker>`

public class IntervalNodeOri extends Object implements Serializable, Iterable<Marker>
The Node class contains the interval tree information for one single node

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`IntervalNodeOri()`
`IntervalNodeOri(Markers markers)`

## Method Summary

Modifier and Type
Method
Description
`Integer`
`getCenter()`
`IntervalNodeOri`
`getLeft()`
`IntervalNodeOri`
`getRight()`
`Iterator<Marker>`
`iterator()`
`Markers`
`query(Interval target)`
Perform an interval intersection query on the node
`Markers`
`stab(Integer point)`
Perform a stabbing query on the node
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

## Constructor Details

### IntervalNodeOri

public IntervalNodeOri()

### IntervalNodeOri

public IntervalNodeOri(Markers markers)

## Method Details

### getCenter

public Integer getCenter()

### getLeft

public IntervalNodeOri getLeft()

### getRight

public IntervalNodeOri getRight()

### iterator

public Iterator<Marker> iterator()

Specified by:
  `iterator` in interface `Iterable<Marker>`

### query

public Markers query(Interval target)
Perform an interval intersection query on the node

Parameters:
  `target` - : the interval to intersect
Returns:
  all intervals containing 'target'

### stab

public Markers stab(Integer point)
Perform a stabbing query on the node

Parameters:
  `point` - the time to query at
Returns:
  all intervals containing time

### toString

public String toString()

Overrides:
  `toString` in class `Object`